Bug 50017 - autoconf 2.54 and automake 1.7.1 problems
Summary: autoconf 2.54 and automake 1.7.1 problems
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: kdevelop 2.x (obsolete) (show other bugs)
Version: unspecified
Platform: Mandrake RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KDevelop-Devel List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-31 23:27 UTC by Mario A. Vazquez
Modified: 2002-11-03 00:10 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mario A. Vazquez 2002-10-31 23:27:56 UTC
Version:           2.3.1 (using KDE KDE 3.0.8)
Installed from:    Mandrake RPMs
Compiler:          gcc 3.2 
OS:          Linux

KDevelop refuse to build projects using the Project Wizard when using autoconf 2.54 no matter which automake I use with it.  And since automake 1.7.1 requires autoconf 2.54 it cannot be used either.

The error I got when using autoconf 2.54 is this:

configure.in:101: error: m4_popdef: undefined macro: AC_Dest 
autoconf/status.m4:844: AC_CONFIG_FILES is expanded from... 
configure.in:101: the top level 
autom4te: /usr//bin/m4 failed with exit status: 1 
make[1]: *** [cvs] Error 1 
make: *** [all] Error 2 
sh: line 1: ./configure: No such file or directory 
 
-----
I have Mandrake 9.0 (with Cooker updates), KDE 3.1b2, KDevelop 2.1.3,
gcc 3.2, tried different automake/autoconf sources from gnu.org.

Thanks 

Mario
Comment 1 Simon Hausmann 2002-11-01 12:57:23 UTC
The actual bug is that autoconf gets confused when multiple files appear in  
AC_CONFIG_FILES/AC_OUTPUT . The best fix is to adjust your configure.in.in to use one macro per  
file, that works with any autocon version. 
 
I'm not sure if some of the kdevelop templates need adjustement, so leaving this bug open. 
Comment 2 John Firebaugh 2002-11-03 00:10:42 UTC
Fixed in cvs by updating template files to latest versions from kde-common.